<?php

$links = array();

$links[] = array(
    'url' => array('clientes/view', array('id' => $model->CLI_IDCLIENTE, 'page' => 'atividades')),
    'text' => 'Atividades',
    'active' => Util::getParam('page') == 'atividades'
    );

if (User::getUser()->FUN_TBL_CONTROLE_DOCUMENTOS || User::getPrivilegio() == 16 ||
        (User::getPrivilegio() == 19 && User::getRevenda() == 1)) {

    $links[] = array(
        'url' => array('clientes/view', array('id' => $model->CLI_IDCLIENTE, 'page' => 'documentos')),
        'text' => 'Documentos',
        'active' => Util::getParam('page') == 'documentos'
        );
}

$links[] = array(
    'url' => array('clientes/view', array('id' => $model->CLI_IDCLIENTE, 'page' => 'endereco-cobranca')),
    'text' => 'Endere&ccedil;o de Cobran&ccedil;a',
    'active' => Util::getParam('page') == 'endereco-cobranca'
    );

$links[] = array(
    'url' => array('clientes/view', array('id' => $model->CLI_IDCLIENTE, 'page' => 'vincular-cliente')),
    'text' => 'Vincular Cliente',
    'active' => Util::getParam('page') == 'vincular-cliente' || isset($_GET['busca'])
    );

$links[] = array(
    'url' => array('clientes/update', array('id' => $model->CLI_IDCLIENTE)),
    'text' => 'Editar',
    'active' => $this->action->id == 'update'
    );

if ($model->canUpdateStatus()) {
    $links[] = array(
        'url' => array('clientes/trocarStatus', array('id' => $model->CLI_IDCLIENTE)),
        'text' => 'Trocar Status',
        'active' => $this->action->id == 'trocarStatus'
        );
}

/*if (in_array(User::getPrivilegio(), [1, 6, 7, 16, 19, 20])) {
    $links[] = array(
        'url' => array('clientes/SolicitarSenha', array('id' => $model->CLI_IDCLIENTE)),
        'text' => 'Solicitar senha da área do cliente',
        'active' => $this->action->id == 'SolicitarSenha'
    );
}*/

$links[] = array(
    'url' => array('clientes/view', array('id' => $model->CLI_IDCLIENTE, 'page' => 'anexar-arquivos')),
    'text' => 'Anexar Documentos',
    'active' => Util::getParam('page') == 'anexar-arquivos'
    );

if (!empty($model->CLI_PRODUTO) && User::getUser()->FUN_PRM_ABAPRODUTOS) {
    $links[] = array(
        'url' => array('clientes/view', array('id' => $model->CLI_IDCLIENTE, 'page' => 'produto')),
        'text' => 'Produto',
        'active' => Util::getParam('page') == 'produto'
        );
}

if (User::getUser()->FUN_TBL_CADASTRAR_DOCS_FISCAIS) {
    $links[] = array(
        'url' => array('clientes/view', array('id' => $model->CLI_IDCLIENTE, 'page' => 'documentos-fiscais')),
        'text' => 'Documentos fiscais',
        'active' => Util::getParam('page') == 'documentos-fiscais'
        );
}

if (in_array(User::getSetor(), array(3, 4, 5)) || User::isAdmin() || User::getUser()->FUN_TBL_RELATORIO_FINANCEIRO) {
    $links[] = array(
        'url' => array('clientes/view', array('id' => $model->CLI_IDCLIENTE, 'page' => 'financeiro')),
        'text' => 'Financeiro',
        'active' => Util::getParam('page') == 'financeiro'
        );
}

if (in_array($model->CLI_SITUACAO, array('A', 'I'))) {
$links[] = array(
    'url' => array('clientes/view', array('id' => $model->CLI_IDCLIENTE, 'page' => 'pendencias')),
    'text' => 'Pendências',
    'active' => Util::getParam('page') == 'pendencias'
    );
}


if (Contratos::model()->exists("COT_IDCLIENTE = {$model->CLI_IDCLIENTE} AND COT_SITUACAO = 6 AND COT_FOI_ATIVADO = 1 ORDER BY COT_DTCADASTRO DESC")) {

    $links[] = array(
        'url' => array('clientes/view', array('id' => $model->CLI_IDCLIENTE, 'page' => 'informacoes-implantacao')),
        'text' => 'Informações de Implantação',
        'active' => Util::getParam('page') == 'informacoes-implantacao'
    );
}

if (in_array($model->CLI_TIPOPESSOA, array('C'))) {
    $links[] = array(
        'url' => array('clientes/view', array('id' => $model->CLI_IDCLIENTE, 'page' => 'clientes_contador')),
        'text' => 'Prospectos do Contador',
        'active' => Util::getParam('page') == 'clientes_contador'
    );
}

$links[] = array(
    'url' => array('clientes/view', array('id' => $model->CLI_IDCLIENTE)),
    'text' => 'Visualizar',
    'active' => !Util::getParam('page') && !isset($_GET['busca']) && $this->action->id == 'view'
    );


echo "<ul id='menu-clientes' class='nav-pills nav navbar-nav navbar-fixed-top'>";

    foreach($links as $link) {
        $class = $link['active'] ? 'active' : 'regular';
        $url = Yii::app()->createUrl($link['url'][0], $link['url'][1]);
        $text = $link['text'];

        echo "<li class='{$class}'>";
        echo "<a href='{$url}'>{$text}</a>";
        echo "</li>";
    }

echo "</ul>";